Bug 152658 - NEW port textproc/p5-XML-Rewrite
Summary: NEW port textproc/p5-XML-Rewrite
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-28 20:50 UTC by papowell
Modified: 2010-12-09 08:16 UTC (History)
0 users

See Also:


Attachments
file.shar (2.96 KB, text/plain)
2010-11-28 20:50 UTC, papowell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description papowell 2010-11-28 20:50:10 UTC
Added port textproc/p5-XML-Rewrite XML::Compile::Rewrite version 0.10.

This is a companion package/module for XML::Compile
Comment 1 Edwin Groothuis freebsd_committer 2010-11-28 20:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Wen Heping freebsd_committer 2010-11-29 00:36:27 UTC
Responsible Changed
From-To: perl->wen

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-12-09 07:22:46 UTC
wen         2010-12-09 07:22:41 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/p5-XML-Rewrite Makefile distinfo pkg-descr pkg-plist 
  Log:
  Often, XML messages and schemas are created by automatic tools.  These
  tools may provide very nice user interfaces, but tend to produce
  horrible XML.  If you have to read these ugly products, you are in for
  pain.  The purpose of this module (and the script "xmlrewrite" which is
  part of this distribution) is to be able to rewrite XML messages and
  Schema's into something maintainable.
  
  The main difference between this module and other beautifiers is that
  the clean-up is based on schema rules.  For instance, it is permitted
  to remove blanks around and inside integers, but not in strings.
  Beautifiers which do not look into the schema have only limited
  possibilities for cleanup, or may accidentally change the message
  content.
  
  WWW:    http://search.cpan.org/dist/XML-Rewrite/
  
  PR:             ports/152658
  Submitted by:   Patrick Powell <papowell@astart.com>
  
  Revision  Changes    Path
  1.1502    +1 -0      ports/textproc/Makefile
  1.1       +27 -0     ports/textproc/p5-XML-Rewrite/Makefile (new)
  1.1       +2 -0      ports/textproc/p5-XML-Rewrite/distinfo (new)
  1.1       +15 -0     ports/textproc/p5-XML-Rewrite/pkg-descr (new)
  1.1       +10 -0     ports/textproc/p5-XML-Rewrite/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2010-12-09 08:16:18 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!